/// <reference types="./phaser" />
import PlayScene from "../scenes/PlayScene";
export declare class ShinyStarFactory {
    scene: PlayScene;
    constructor(scene: PlayScene);
    create(group: Phaser.Physics.Arcade.Group): ShinyStar;
}
export declare class ShinyStar extends Phaser.Physics.Arcade.Sprite {
    scene: PlayScene;
    constructor(scene: PlayScene);
    init(): void;
    positionOnSky(): void;
    scaleToFit(): void;
    update(): void;
}
